Skip to main content
`Ctrl`+`K`

# DMGetOptionsPrefix

Gets the prefix used for searching for all DM options in the options database.

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetOptionsPrefix(DM dm, const char *prefix[])

Not Collective

## Input Parameter

- dm - the `DM` context

## Output Parameter

- prefix - pointer to the prefix string used is returned

## Fortran Note

Pass in a string ‘prefix’ of sufficient length to hold the prefix.

## See Also

DM Basics, `DM`, `DMSetOptionsPrefix()`, `DMAppendOptionsPrefix()`, `DMSetFromOptions()`

## Level

advanced

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages